Subject: Re: [PATCH v2 03/10] compat: introduce new "zlib.h" header

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 15 Jan 2025 17:53:22 +0100

On Wed, Jan 15, 2025 at 02:00:15PM +0000, Karthik Nayak wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > Introduce a new "compat/zlib-compat.h" header that we include instead of
> > including <zlib.h> directly. This will allow us to wire up zlib-ng as an
> > alternative backend for zlib compression in a subsequent commit.
> >
> > Note that we cannot just call the file "compat/zlib.h", as that may
> > otherwise cause us to include that file instead of <zlib.h>.
> >
> 
> TIL. This would be an issue if we added "compat/" to the list of paths
> the compiler checks for headers no? I couldn't find anything in our
> Makefile doing this, or did I miss it?

You did :) Most platforms don't, but we do with MinGW and Windows. This
is done in "config.mak.uname", which is probably why you missed it.

Patrick